summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2019-10-16 12:13:12 +0200
committerDavid Seifert <soap@gentoo.org>2019-10-16 12:13:12 +0200
commit14fab3ba527e26b7192cfb2f363f3f6158552e9c (patch)
treed0d0dcad883391c357f84e31fe3d3f74837ace3b /app-doc
parentsys-cluster/kubeadm: Remove old (diff)
downloadgentoo-14fab3ba527e26b7192cfb2f363f3f6158552e9c.tar.gz
gentoo-14fab3ba527e26b7192cfb2f363f3f6158552e9c.tar.bz2
gentoo-14fab3ba527e26b7192cfb2f363f3f6158552e9c.zip
app-doc/blas-docs: Port to EAPI 7
Bug: https://bugs.gentoo.org/697388 Package-Manager: Portage-2.3.77, Repoman-2.3.17 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'app-doc')
-rw-r--r--app-doc/blas-docs/blas-docs-3.1.1.ebuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/app-doc/blas-docs/blas-docs-3.1.1.ebuild b/app-doc/blas-docs/blas-docs-3.1.1.ebuild
index d034c041c60..899fd9c1c85 100644
--- a/app-doc/blas-docs/blas-docs-3.1.1.ebuild
+++ b/app-doc/blas-docs/blas-docs-3.1.1.ebuild
@@ -1,7 +1,7 @@
# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=0
+EAPI=7
DESCRIPTION="Documentation reference and man pages for blas implementations"
HOMEPAGE="http://www.netlib.org/blas"
@@ -17,13 +17,13 @@ IUSE=""
S=${WORKDIR}/lapack-${PV}/manpages
src_install() {
- # rename because doman do not yet understand manl files
- # Not all systems have the rename command, like say FreeBSD
- local f= t=
+ # rename because doman does not yet understand manl files
+ local f t
for f in blas/man/manl/*.l; do
t="${f%%.l}.n"
- mv "${f}" "${t}"
+ mv "${f}" "${t}" || die
done
- doman blas/man/manl/*.n || die "doman failed"
- dodoc README "${DISTDIR}"/blas{-report,qr}.ps || die "dodoc failed"
+
+ doman blas/man/manl/*.n
+ dodoc README "${DISTDIR}"/blas{-report,qr}.ps
}